This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 204877 - diskless clients can't boot with initrd supplied by server
diskless clients can't boot with initrd supplied by server
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-netboot (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabio Olive Leite
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-31 20:28 EDT by Bernie Innocenti
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-17 06:12:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
switch to initramfs (11.07 KB, patch)
2007-01-28 09:51 EST, Bernie Innocenti
no flags Details | Diff

  None (edit)
Description Bernie Innocenti 2006-08-31 20:28:54 EDT
I'm not sure if this is a bug in the kernel, pxeboot, tftp or
system-config-netboot.

The symptom is that diskless clients panic during boot
with this error message:

 RAMDISK: Compressed image found at block 0
 EXT2-fs: blocksize too small for device.

The initrd image on the server looks good: it's a valid gzip file containing a
valid ext2 image that mounts with loopback.  The ramdisk_size kernel parameter
matches the uncompressed image size.

The client kernel is 2.6.17-1.2600.fc6 (x86_64)

The pxeboot command line is:

label 2
    kernel fedora-x86_64/vmlinuz
    append  initrd=fedora-x86_64/initrd.img root=/dev/ram0 init=disklessrc
NFSROOT=10.3.3.1:/diskless/x86_64/fedora ramdisk_size=28086 ETHERNET=eth0
Comment 1 ulrich 2007-01-12 06:12:55 EST
append ramdisk_blocksize=1024 in your pxe cfg

see also 

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=210774
Comment 2 Bernie Innocenti 2007-01-12 14:12:27 EST
I've updated the system-config-netboot scripts to use initramfs and cpio.

Anyone wants the patches?
Comment 3 Bernie Innocenti 2007-01-28 09:51:34 EST
Created attachment 146763 [details]
switch to initramfs

This patch changes updateDiskless to build a
new style cpio archive for initramfs instead
of the old initrd filesystem image.

Lots of changes (actually simplifications) are needed in
the init script to use switch_root instead of pivot_root.
Comment 4 Radek Brich 2007-10-17 06:12:29 EDT
Thanks for patch, it's was applied in version 0.1.42.

Note You need to log in before you can comment on or make changes to this bug.